Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum CmpVersionType

    java.lang.Object
      java.lang.Enum<CmpVersionType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.CmpVersionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmpVersionType>

    public enum CmpVersionType

extends java.lang.Enum<CmpVersionType>

This class implements the `cmp-versionType` xsd type

Original Documentation:

The cmp-versionType specifies the version of an entity bean
with container-managed persistence. It is used by
cmp-version elements.
The value must be one of the two following:
1.x
2.x

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_1_X`
`_2_X`

Method Summary
`static CmpVersionType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static CmpVersionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmpVersionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _1_X

    public static final CmpVersionType _1_X

### _2_X

    public static final CmpVersionType _2_X

Method Detail

### values

    public static CmpVersionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CmpVersionType c : CmpVersionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CmpVersionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CmpVersionType>`

### getFromStringValue

    public static CmpVersionType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD